Bug 51241 - Programs->Settings->GNOME Control Center should show preferences:///
Programs->Settings->GNOME Control Center should show preferences:///
Product: Red Hat Public Beta
Classification: Retired
Component: gnome-core (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2001-08-08 14:12 EDT by Kenny Graunke
Modified: 2007-04-18 12:35 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-08-08 14:16:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Kenny Graunke 2001-08-08 14:12:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.3) Gecko/20010803

Description of problem:
Selecting GNOME Control Center from the Programs->Settings menu opens the
regular GNOME Control Center, and not the one embedded in nautilus.

How reproducible:

Steps to Reproduce:
1. Click the foot menu
2. Go to Programs
3. Go to Settings
4. Select "GNOME Control Center"

Actual Results:  The legacy GNOME Control Center starts.

Expected Results:  A new nautilus window should open to preferences:///

Additional info:

This really should be called "Desktop Preferences", not "GNOME Control
Center". Also, I recommend just nuking the entire Settings menu - it is not
particularily useful. I prefer to just open a window and select sections
there since it is faster and more convenient; I typically change settings
in more than one module at a time (example: background image, WM theme, GTK
theme), which makes navigating through many submenus multiple times
cumbersome and time consuming. If you do decide to keep the Settings menu,
it belongs as a top level menu, not under Programs - Settings aren't
programs to users, they're just settings. Programs are applications that
the user can run to accomplish a task.
Comment 1 Havoc Pennington 2001-08-09 19:24:35 EDT
The "GNOME Control Center" item doesn't exist in Rawhide control-center package,
I took it out. 

I want to keep the Settings menu items because people complain about running
Nautilus. Once Nautilus is de-bloated a bit more I'd consider removing it.

We have to keep the menu hierarchy including Settings because that is
standardized with KDE. However a new standard is in the works at which time it
can be reworked.

Note You need to log in before you can comment on or make changes to this bug.